Index: trunk/src/lib/graphics/spatial_separation/Makefile.am
===================================================================
--- trunk/src/lib/graphics/spatial_separation/Makefile.am	(revision 5412)
+++ trunk/src/lib/graphics/spatial_separation/Makefile.am	(revision 5413)
@@ -2,9 +2,9 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXquadtree.la
+noinst_LIBRARIES = libORXquadtree.a
 
-libORXquadtree_la_SOURCES = quadtree.cc \
-                            quadtree_node.cc \
-                            spatial_separation.cc
+libORXquadtree_a_SOURCES = quadtree.cc \
+                           quadtree_node.cc \
+                           spatial_separation.cc
 
 noinst_HEADERS =  quadtree.h \
Index: trunk/src/lib/graphics/spatial_separation/Makefile.in
===================================================================
--- trunk/src/lib/graphics/spatial_separation/Makefile.in	(revision 5412)
+++ trunk/src/lib/graphics/spatial_separation/Makefile.in	(revision 5413)
@@ -16,5 +16,5 @@
 
 
-SOURCES = $(libORXquadtree_la_SOURCES)
+SOURCES = $(libORXquadtree_a_SOURCES)
 
 srcdir = @srcdir@
@@ -49,25 +49,25 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
-LTLIBRARIES = $(noinst_LTLIBRARIES)
-libORXquadtree_la_LIBADD =
-am_libORXquadtree_la_OBJECTS = quadtree.lo quadtree_node.lo \
-	spatial_separation.lo
-libORXquadtree_la_OBJECTS = $(am_libORXquadtree_la_OBJECTS)
+LIBRARIES = $(noinst_LIBRARIES)
+AR = ar
+ARFLAGS = cru
+libORXquadtree_a_AR = $(AR) $(ARFLAGS)
+libORXquadtree_a_LIBADD =
+am_libORXquadtree_a_OBJECTS = quadtree.$(OBJEXT) \
+	quadtree_node.$(OBJEXT) spatial_separation.$(OBJEXT)
+libORXquadtree_a_OBJECTS = $(am_libORXquadtree_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/quadtree.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/quadtree_node.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/spatial_separation.Plo
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/quadtree.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/quadtree_node.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/spatial_separation.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
-LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
-	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-	$(AM_CXXFLAGS) $(CXXFLAGS)
 CXXLD = $(CXX)
-CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libORXquadtree_la_SOURCES)
-DIST_SOURCES = $(libORXquadtree_la_SOURCES)
+CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
+	-o $@
+SOURCES = $(libORXquadtree_a_SOURCES)
+DIST_SOURCES = $(libORXquadtree_a_SOURCES)
 HEADERS = $(noinst_HEADERS)
 ETAGS = etags
@@ -78,5 +78,4 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
-AR = @AR@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
@@ -91,5 +90,4 @@
 CURL_LIBS = @CURL_LIBS@
 CXX = @CXX@
-CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@
@@ -103,5 +101,4 @@
 DOXYGEN_FALSE = @DOXYGEN_FALSE@
 DOXYGEN_TRUE = @DOXYGEN_TRUE@
-ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -109,6 +106,4 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
-F77 = @F77@
-FFLAGS = @FFLAGS@
 GPROF = @GPROF@
 GTK2_CFLAGS = @GTK2_CFLAGS@
@@ -125,6 +120,4 @@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
-LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
@@ -146,8 +139,6 @@
 SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
-ac_ct_F77 = @ac_ct_F77@
 ac_ct_RANLIB = @ac_ct_RANLIB@
 ac_ct_STRIP = @ac_ct_STRIP@
@@ -192,8 +183,8 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../../..
-noinst_LTLIBRARIES = libORXquadtree.la
-libORXquadtree_la_SOURCES = quadtree.cc \
-                            quadtree_node.cc \
-                            spatial_separation.cc
+noinst_LIBRARIES = libORXquadtree.a
+libORXquadtree_a_SOURCES = quadtree.cc \
+                           quadtree_node.cc \
+                           spatial_separation.cc
 
 noinst_HEADERS = quadtree.h \
@@ -204,5 +195,5 @@
 
 .SUFFIXES:
-.SUFFIXES: .cc .lo .o .obj
+.SUFFIXES: .cc .o .obj
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
@@ -235,14 +226,10 @@
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 
-clean-noinstLTLIBRARIES:
-	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
-	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
-	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-	  test "$$dir" != "$$p" || dir=.; \
-	  echo "rm -f \"$${dir}/so_locations\""; \
-	  rm -f "$${dir}/so_locations"; \
-	done
-libORXquadtree.la: $(libORXquadtree_la_OBJECTS) $(libORXquadtree_la_DEPENDENCIES) 
-	$(CXXLINK)  $(libORXquadtree_la_LDFLAGS) $(libORXquadtree_la_OBJECTS) $(libORXquadtree_la_LIBADD) $(LIBS)
+clean-noinstLIBRARIES:
+	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
+libORXquadtree.a: $(libORXquadtree_a_OBJECTS) $(libORXquadtree_a_DEPENDENCIES) 
+	-rm -f libORXquadtree.a
+	$(libORXquadtree_a_AR) libORXquadtree.a $(libORXquadtree_a_OBJECTS) $(libORXquadtree_a_LIBADD)
+	$(RANLIB) libORXquadtree.a
 
 mostlyclean-compile:
@@ -252,7 +239,7 @@
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/quadtree.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/quadtree_node.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/spatial_separation.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/quadtree.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/quadtree_node.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/spatial_separation.Po@am__quote@
 
 .cc.o:
@@ -271,21 +258,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-.cc.lo:
-@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<
-
-mostlyclean-libtool:
-	-rm -f *.lo
-
-clean-libtool:
-	-rm -rf .libs _libs
-
-distclean-libtool:
-	-rm -f libtool
 uninstall-info-am:
 
@@ -367,5 +337,5 @@
 check-am: all-am
 check: check-am
-all-am: Makefile $(LTLIBRARIES) $(HEADERS)
+all-am: Makefile $(LIBRARIES) $(HEADERS)
 installdirs:
 install: install-am
@@ -395,6 +365,5 @@
 clean: clean-am
 
-clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
-	mostlyclean-am
+clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
 
 distclean: distclean-am
@@ -402,5 +371,5 @@
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-libtool distclean-tags
+	distclean-tags
 
 dvi: dvi-am
@@ -431,6 +400,5 @@
 mostlyclean: mostlyclean-am
 
-mostlyclean-am: mostlyclean-compile mostlyclean-generic \
-	mostlyclean-libtool
+mostlyclean-am: mostlyclean-compile mostlyclean-generic
 
 pdf: pdf-am
@@ -445,14 +413,13 @@
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
-	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
-	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am install-man \
-	install-strip installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
-	pdf pdf-am ps ps-am tags uninstall uninstall-am \
-	uninstall-info-am
+	clean-noinstLIBRARIES ctags distclean distclean-compile \
+	distclean-generic distclean-tags distdir dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-exec install-exec-am install-info \
+	install-info-am install-man install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-compile \
+	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
+	uninstall-am uninstall-info-am
 
 include $(MAINSRCDIR)/defs/include_paths.am
